.title-warpper {
    display: block;
    span {
        display: block;
    }
}

.head-title {
    color: #333333;
    font-size: 32px;
    font-weight: bold;
    line-height: 48px;
    margin-left: 2%;
}


.sub-title {
    color: #999999;
    font-size: 18px;
    line-height: 28px;
    height: 28px;
}

.back-btn {
    height: 48px;
    width: 32px;
    
  }

.btn-save {
box-sizing: border-box;
height: 56px;
width: 158px;
border: 1.5px solid #00A4E4;
border-radius: 4px;
color: #00A4E4;
font-family: Prompt;
font-size: 18px;
font-weight: 500;
letter-spacing: 0;
line-height: 28px;
text-align: center;
margin-right: 12px;
margin-left: 12px;
margin-top: 5px;
}

.btn-send {
	height: 56px;
	width: 158px;
	border-radius: 4px;
	background-color: #00A4E4;
	color: #FFFFFF;
	font-family: Prompt;
	font-size: 18px;
	font-weight: 500;
	letter-spacing: 0;
	line-height: 28px;
	text-align: center;
	margin-right: 12px;
	margin-left: 12px;
	margin-top: 5px;
}

.head-detal {
	color: #333333;
  font-family: Prompt;
  font-size: 18px;
  // font-weight: 600;
  letter-spacing: 0;
  line-height: 28px;
}

.head-detal-2 {
	color: #333333;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
}

// ==== table only =====

.table-proccess-comments {
  table-layout: fixed;
  overflow-y: auto;
  word-wrap: break-word;
  thead tr {
      height: 54px;
      background-color: #F2F2F2;
  }

  thead {
    color: #999999;
    font-family: Prompt;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 24px;
  }

  tr {
    &:nth-of-type(odd) {
    background-color: transparent;
    }

    &:nth-of-type(even) {
        background-color: transparent;
     }

    &:first-child {
        td {
            border-top: 0;
        }
    }

    &:last-child {
        td {
            // border-bottom: 0;
            border-bottom: 1px solid #E0E0E0;
        }
    }
  }

  th {
    vertical-align: baseline;
    border-bottom: 2px solid #E0E0E0;
    position: relative;
    color: #999999;
    font-family: Prompt;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 24px;
    text-align: center;
  }

  td {
    padding-top: 6px;
    padding-bottom: 6px;
    padding-left: 8px;
    padding-right: 8px;
    vertical-align: baseline;
    border-bottom: 1px solid #E0E0E0;
    position: relative;
    word-wrap: break-word;
  }
}

// width table
// .th-width250 {
//   width: 250px !important;
//   min-width: 250px !important;
//   max-width: 250px !important;
// };
// .td-width24 {
//   width: 24px !important;
//   min-width: 24px !important;
//   max-width: 24px !important;
// };
// .td-width250 {
//   width: 250px !important;
//   min-width: 250px !important;
//   max-width: 250px !important;
// };

.text-note{
  color: #999999;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
}
.btn-primary {
  float: right;
  height: 36px;
  width: 120px;
  border-radius: 4px;
  background-color: #00a6e6;
  border: none;
  color: #ffffff;
  font-family: Prompt;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 24px;
}
.alert-success{
  box-sizing: border-box;
  height: 49px;
  // border: 1px solid rgba(90,167,0,0.7);
  border: 1px solid rgba(0,110,149,0.7);
  border-radius: 4px;
  // background-color: rgba(90,167,0,0.1);
  background-color: rgba(0,110,149,0.1);
  box-shadow: 0 2px 8px 0 rgba(224,224,224,0.5);
  text-align: center;
  padding-top: 10px;
  a.alert-detail{
    // color: #5AA700;
    color: #006E95;
    font-family: Prompt;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 28px;
  }
}
.table_main {
  width: 100%;
  height: auto;
  // background-color: #00A4E4;
}
.header_table {
  width: 100%;
  display: flex;
  align-items: center;
  .text_header {
    width: 93%;
    font-family: Prompt;
    color: #333333;
    font-family: Prompt;
    font-size: 18px;
    letter-spacing: 0;
    line-height: 28px;
  }
  .btn_header {
    width: 7%;
  }
}

// =================Drag and Drop Table================================================================================

.table-proccess {
  font-family: Prompt !important;
  width: 100%;
  thead tr {
    height: 54px;
    background-color: #f2f2f2;
  }

  thead {
    width: auto;
    color: #999999;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 24px;
  }
  th {
    vertical-align: middle;
    text-align: center;
  }
}

.table-striped > tbody > tr:nth-of-type(odd) {
  background-color: rgb(255, 255, 255);
}

.table-striped > tbody > tr:nth-of-type(even) {
  background-color: #fafafa;
}

.delete-data {
  color: #00a6e6;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
  text-align: center;
  cursor: pointer;
}

.delete-data-false {
  color: #dadada;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
  text-align: center;
}


input::placeholder {
  color: #e0e0e0;
}

.btn-create-data {
  font-family: Prompt;
  height: 36px;
  width: 120px;
  border: 0;
  border-radius: 4px;
  background-color: #00a6e6;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 24px;
  color: #ffffff;
}

.add-icon {
  filter: brightness(0) invert(1);
}

/* Animate items as they're being sorted. */
.cdk-drop-list-dragging .cdk-drag {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

/* Animate an item that has been dropped. */
.cdk-drag-animating {
  transition: transform 300ms cubic-bezier(0, 0, 0.2, 1);
}

.icongrap {
  cursor: grab;
  left: -7px;
  position: absolute;
  top: 27px;
  width: 17px;
  transform: translateY(-50%);
}

.icongrap_sub {
  cursor: grab;
  left: -7px;
  position: absolute;
  top: 20px;
  width: 17px;
  transform: translateY(-50%);
}

.table_files {
  td {
    padding: 5px;
    height: 36px;
    font-family: Prompt !important;
    border: none;
    text-align: center;
    align-items: center;
    justify-content: center !important;
    border-bottom: 1px solid #c9c9c8;
    a.delete_file {
      color: #00a6e6;
    }
    a.delete_file:hover {
      color: #00a6e6;
      text-decoration: underline;
      cursor: pointer;
    }
  }
  th {
    vertical-align: middle;
    width: 450px;
    height: 36px;
    font-family: Prompt !important;
    align-items: flex-start;
    justify-content: flex-start !important;
    text-align: center !important;
    opacity: 0.99;
    border-radius: 2px;
    background-color: #f1f0f0;
    font-size: 16px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #a0a6ac;
    //   border: 1px solid #dddddd;
  }
}

.detail_other {
  font-family: Prompt !important;
  display: flex;
  width: 100%;
  align-items: center;
  .header_other {
    width: 90%;
  }
  .btn_other {
    width: 10%;
    float: right;
  }
}

.remark_other {
  width: 100%;
  overflow-x: auto;
  font-family: Prompt !important;
  table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 1990px;
    // border: 1px solid #ddd;
    table-layout: fixed;
    word-wrap: break-word;
    th.one_th {
      height: 44px;
      color: #999999;
      font-family: Prompt;
      font-size: 16px;
      font-weight: 600;
      letter-spacing: 0;
      line-height: 24px;
      text-align: center;
      border-radius: 2px;
      background-color: #f2f2f2;
      border-bottom: 1px solid #e0e0e0;
    }
    th {
      height: 44px;
      color: #999999;
      font-family: Prompt;
      font-size: 16px;
      font-weight: 600;
      letter-spacing: 0;
      line-height: 24px;
      text-align: center;
      background-color: #f2f2f2;
    }
    td {
      vertical-align: top;
      padding: 5px;
      border-bottom: 1px solid #dadada;
    }
  }
}

.table-responsives {
  table-layout: fixed;
  overflow-y: auto;
  word-wrap: break-word;
  width: 100%;
  margin: auto;
  overflow-x: auto;
  font-family: Prompt !important;
  border: 0;
  th {
    //    padding-left: 1% !important;
    padding: 0;
    height: 52px;
    color: #999999;
    font-family: Prompt;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 24px;
    background-color: #f2f2f2;
  }
  td {
    // padding-left: 1% !important;
    padding: 0;
    height: 52px;
    border: none;
    text-align: left;
    align-items: center;
    justify-content: center !important;
    border-bottom: 1px solid #e0e0e0;
    // background-color: #7c7c7c0c;
  }
  table {
    margin: auto;

    // height: 500px;
    overflow-x: auto;
    // border: 1px solid #dddddd;
    padding: 0;
    tr.color:nth-child(even) {
      background-color: #7c7c7c0c;
    }
    td.color tbody {
      width: 100%;
    }
    tr.color_sub_odd {
      height: 100%;
      background-color: #7c7c7c00;
    }
    tr.color_sub_even {
      height: 100%;
      background-color: #ffffff;
    }
    td:first-of-type {
      text-align: left !important;
    }
    th:first-of-type {
      text-align: left !important;
    }
  }

  th.th_type {
    text-align: left !important;
  }
  td.td_type {
    text-align: left !important;
  }
  div.color_sub_odd {
    display: flex;
    align-items: center;
    justify-content: left;
    border-bottom: 1px solid #e0e0e0;
    height: 52px;
    a {
      align-items: left;
    }
  }
  div.color_sub_even {
    display: flex;
    align-items: center;
    justify-content: left;
    height: 52px;
    border-bottom: 1px solid #e0e0e0;
    a {
      align-items: left;
    }
  }
}

.table-proccess {
  table-layout: fixed;
  overflow-y: auto;
  word-wrap: break-word;
  width: 100%;
  thead tr {
    height: 54px;
    background-color: #f2f2f2;
  }

  thead {
    color: #999999;
    font-family: Prompt;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 24px;
  }
}

.table-striped > tbody > tr:nth-of-type(odd) {
  background-color: rgb(255, 255, 255);
}

.table-striped > tbody > tr:nth-of-type(even) {
  background-color: #fafafa;
}

.table-proccess-data {
  table-layout: fixed;
  word-wrap: break-word;
  border-top: 0;
  width: 100%;
  overflow-x: auto;
  thead tr {
    height: 54px;
    background-color: #f2f2f2;
  }

  thead {
    width: auto;
    color: #999999;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 24px;
  }
  tr {
    &:nth-of-type(odd) {
      background-color: transparent;
    }

    &:nth-of-type(even) {
      background-color: transparent;
    }

    &:first-child {
      td {
        border-top: 0;
      }
    }

    &:last-child {
      td {
        border-bottom: 0;
      }
    }
  }

  td {
    padding: 0.75rem;
    vertical-align: top;
    border-bottom: 1px solid #c8ced3;
    position: relative;
  }
  th {
    vertical-align: middle;
    text-align: center;
  }
  tr {
    &:nth-of-type(odd) {
      background-color: transparent;
    }

    &:nth-of-type(even) {
      background-color: transparent;
    }

    &:first-child {
      td {
        border-top: 0;
      }
    }

    &:last-child {
      td {
        border-bottom: 0;
      }
    }
  }

  td {
    height: 52px;
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
    vertical-align: top;
    border-bottom: 1px solid #e0e0e0;
    position: relative;
  }
}
.sub-2 {
  td {
    height: 52px;
    padding-bottom: 0;
    vertical-align: middle;
    border-bottom: 1px solid #e0e0e0 !important;
    position: relative;
    padding-top: 0 !important;
  }
  &:last-child {
    td {
      border-bottom: 0;
    }
  }
}
.td_single {
  background-color: #fafafa;
  // background-color: #f10808;
  font-family: Prompt;
}
.td_couple {
  // background-color: #ffffff;
  // background-color: #f108082f;
  font-family: Prompt;
}
// ====================================
.Main-table {
  display: flex;
  align-items: center;
  height: auto;
  background-color: rebeccapurple;
  table-layout: fixed;
  word-wrap: break-word;
  border-top: 0;
  width: 100%;
  overflow-x: auto;
}
.header_mainTable {
  width: 250px;
  height: 52px;
  vertical-align: middle;
  display: flex;
  align-items: center;
}
.body_mainTable {
  width: 100%;
  height: auto;
  vertical-align: middle;
  align-items: center;
}
.mainprocess {
  background-color: rosybrown;
}
.sub_2_data {
  width: 100%;
  align-items: center;
  position: relative;
}
.line {
  height: auto;
  border: 1px solid #333333;
}

.td_main-style {
  width: 240px;
  max-width: 240px;
  text-align: center;
  margin-top: 20px;
  vertical-align: top !important;
  padding-top: 10px !important;
}
.td_main_po{
  width: 250px;
  max-width: 250px;
  text-align: left;
  margin-top: 20px;
  vertical-align: top !important;
  padding-top: 10px !important;
  padding-left: 5px !important;
}
.sub_three_drag{
  vertical-align: top !important;
  padding-top: 0 !important;
}

.po_role{
  text-align: left !important;
}

::ng-deep .swal2-title{
  font-family:  Prompt !important;
}
::ng-deep .swal2-content{
  font-family:  Prompt !important;
}


// stricky
.headcol {
  position: absolute;
  // width: 250px;
  height: 110px;
  left: 30px;
  top: auto;
  z-index:1;
  // box-shadow: 6px 0px 8px -7px rgba(0,0,0,0.35);
  box-shadow: 1px 0  rgba(88, 88, 88, 0.35);
  // border-top-width: 1px;
  background-color: #F2F2F2;
}
.headcol-1 {
  position: absolute;
  // width: 220px;
  // height: 80px ;
  width: 100%;
  left: 30px;
  z-index:1;
  top: auto;
  // background-color: #F2F2F2;
}
.headcol-2 {
  position: absolute;
  width: 250px;
  // height: 80px ;
  // height: ;
  // box-shadow: 6px 0px 8px -7px rgba(0,0,0,0.35);
  box-shadow: 1px 0  rgba(88, 88, 88, 0.35);
  left: 250px;
  z-index:1;
  top: auto;
  // border-top-width: 1px;
  // background-color: white;
}

// ==================================================================================================== //
.readiness {
  overflow: auto;
}

table.readiness-table {
  width: auto;
  height: auto;

  thead tr {
    height: 54px;
    background-color: #f2f2f2;
  }

  thead {
    width: auto;
    color: #999999;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 24px;
  }

  th.text-nowrap {
    color: #999999;
    font-family: Prompt;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 0;
    line-height: 24px;
    vertical-align: middle;
    text-align: center ;
    width: 250px;
  }

  td {
    vertical-align: top;
    width: 250px;
    word-break: break-all;
    width: 250px;
    // box-shadow: 0 2px 2px -2px gray;
    min-height: 48px;
  }

}

td.riskTemplate {
  vertical-align: top;
  // box-shadow: 0 2px 2px -2px gray;
  min-height: 48px;
  padding-right: 14px
}
td.riskTemplate-pc {
  vertical-align: top;
  // box-shadow: 0 2px 2px -2px gray;
  min-height: 100%;
  padding-right: 14px;
}
table.flex-readiness-process {
  height: 100%;
  width: 2200px;
  overflow: auto;
}

table.flex-readiness-process-po {
  height: 100%;
  width: 2545px;
  overflow: auto;

}

table.flex-readiness-process-pc {
  height: 100%;
  width: 3250px;
  overflow: auto;

}

div.readiness {
  display: block;
  height: 100%;
  padding: 0px;
  width: 100%;
  border: 0px;
  overflow: auto;
}

div.readiness-process {
  display: block;
  height: 100%;
  padding: 0px;
  border: 0px;
  overflow: auto;
}


th.sticky-header {
  position: absolute;
  position: -webkit-sticky;
  height: 108.5px;
  width: 250px;
  background: #f2f2f2;
  color: #999999;
  z-index: 1000;
  display: grid;
  align-items: center;
}

th.sticky-header-sub {
  padding-left: 10px;
  margin-left: 250px;
  display: grid;
  align-items: center;
  position: absolute;
  position: -webkit-sticky;
  height: 108.5px;
  width: 250px;
  background: #f2f2f2;
  color: #999999;
  z-index: 1000;
  // border-bottom: 1.5px solid #c8ced3;
  // box-shadow: 10px 0 10px -7px rgba(216, 216, 216, 0.97);
}

td.sticky-column {
  padding-right: 10px;
  // border-bottom: 1px solid;
  border-right: none !important;
  border-left: none !important;
  border-bottom: 2px solid rgba(255, 255, 255, 0.411);
  position: sticky;
  min-width: 250px;
  position: -webkit-sticky;
  left: 0;
  // background: white;
  border-bottom: 1.5px solid #c8ced3;
  color: black;
  z-index: 10;
  box-shadow: 0 2px 2px -2px gray;
  // box-shadow: 0 10px 0 -6px rgb(195, 195, 195), 10px 0px 10px -2px rgba(216, 216, 216, 0.97);
}

td.sticky-column-sub {
  padding-left: 10px;
  min-height: 48px;
  position: sticky;
  position: -webkit-sticky;
  left: 250.5px;
  // background: white;
  color: black;
  z-index: 10;
}
tr.color_sub_odd {
  height: 100%;
  background-color: #7c7c7c00;
}
tr.color_sub_even {
  height: 100%;
  background-color: #ffffff;
   
}
.table-sub{
  border-bottom: 1px solid #c9c9c8;
}

.row_single {
  background-color: #fafafa !important;
}

.row_couple {
  background-color: #ffffff !important;
}

.text-note{
  color: #999999;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
}